<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<config xmlns="http://artifactory.jfrog.org/xsd/2.2.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.jfrog.org/xsd/artifactory-v2_2_4.xsd">
    <offlineMode>false</offlineMode>
    <helpLinksEnabled>true</helpLinksEnabled>
    <fileUploadMaxSizeMb>100</fileUploadMaxSizeMb>
    <revision>2</revision>
    <dateFormat>dd-MM-yy HH:mm:ss z</dateFormat>
    <addons>
        <showAddonsInfo>true</showAddonsInfo>
        <showAddonsInfoCookie>1588230366414</showAddonsInfoCookie>
    </addons>
    <security>
        <anonAccessEnabled>true</anonAccessEnabled>
        <hideUnauthorizedResources>false</hideUnauthorizedResources>
        <passwordSettings>
            <encryptionPolicy>supported</encryptionPolicy>
            <expirationPolicy>
                <enabled>false</enabled>
                <passwordMaxAge>60</passwordMaxAge>
                <notifyByEmail>true</notifyByEmail>
            </expirationPolicy>
            <resetPolicy>
                <enabled>true</enabled>
                <maxAttemptsPerAddress>3</maxAttemptsPerAddress>
                <timeToBlockInMinutes>60</timeToBlockInMinutes>
            </resetPolicy>
        </passwordSettings>
        <ldapSettings/>
        <ldapGroupSettings/>
        <userLockPolicy>
            <enabled>false</enabled>
            <loginAttempts>5</loginAttempts>
        </userLockPolicy>
        <accessClientSettings/>
        <buildGlobalBasicReadAllowed>true</buildGlobalBasicReadAllowed>
        <buildGlobalBasicReadForAnonymous>true</buildGlobalBasicReadForAnonymous>
    </security>
    <backups>
        <backup>
            <key>backup-daily</key>
            <enabled>true</enabled>
            <cronExp>0 0 2 ? * MON-FRI</cronExp>
            <retentionPeriodHours>0</retentionPeriodHours>
            <createArchive>false</createArchive>
            <excludedRepositories/>
            <sendMailOnError>true</sendMailOnError>
            <excludeNewRepositories>false</excludeNewRepositories>
            <precalculate>false</precalculate>
        </backup>
        <backup>
            <key>backup-weekly</key>
            <enabled>false</enabled>
            <cronExp>0 0 2 ? * SAT</cronExp>
            <retentionPeriodHours>336</retentionPeriodHours>
            <createArchive>false</createArchive>
            <excludedRepositories/>
            <sendMailOnError>true</sendMailOnError>
            <excludeNewRepositories>false</excludeNewRepositories>
            <precalculate>false</precalculate>
        </backup>
    </backups>
    <indexer>
        <enabled>false</enabled>
        <cronExp>0 23 5 * * ?</cronExp>
    </indexer>
    <localRepositories>
        <localRepository>
            <key>artifactory-build-info</key>
            <type>buildinfo</type>
            <description>Build Info repository</description>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>simple-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <blackedOut>false</blackedOut>
            <handleReleases>true</handleReleases>
            <handleSnapshots>true</handleSnapshots>
            <maxUniqueSnapshots>0</maxUniqueSnapshots>
            <maxUniqueTags>0</maxUniqueTags>
            <blockPushingSchema1>true</blockPushingSchema1>
            <suppressPomConsistencyChecks>true</suppressPomConsistencyChecks>
            <propertySets/>
            <archiveBrowsingEnabled>false</archiveBrowsingEnabled>
            <snapshotVersionBehavior>unique</snapshotVersionBehavior>
            <localRepoChecksumPolicyType>client-checksums</localRepoChecksumPolicyType>
            <calculateYumMetadata>false</calculateYumMetadata>
            <yumRootDepth>0</yumRootDepth>
            <debianTrivialLayout>false</debianTrivialLayout>
            <enableFileListsIndexing>false</enableFileListsIndexing>
        </localRepository>
        <localRepository>
            <key>libs-release-local</key>
            <type>maven</type>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>maven-2-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <blackedOut>false</blackedOut>
            <handleReleases>true</handleReleases>
            <handleSnapshots>false</handleSnapshots>
            <maxUniqueSnapshots>0</maxUniqueSnapshots>
            <maxUniqueTags>0</maxUniqueTags>
            <blockPushingSchema1>true</blockPushingSchema1>
            <suppressPomConsistencyChecks>false</suppressPomConsistencyChecks>
            <propertySets/>
            <archiveBrowsingEnabled>false</archiveBrowsingEnabled>
            <snapshotVersionBehavior>unique</snapshotVersionBehavior>
            <localRepoChecksumPolicyType>client-checksums</localRepoChecksumPolicyType>
            <calculateYumMetadata>false</calculateYumMetadata>
            <yumRootDepth>0</yumRootDepth>
            <debianTrivialLayout>false</debianTrivialLayout>
            <enableFileListsIndexing>false</enableFileListsIndexing>
        </localRepository>
        <localRepository>
            <key>libs-snapshot-local</key>
            <type>maven</type>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>maven-2-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <blackedOut>false</blackedOut>
            <handleReleases>false</handleReleases>
            <handleSnapshots>true</handleSnapshots>
            <maxUniqueSnapshots>0</maxUniqueSnapshots>
            <maxUniqueTags>0</maxUniqueTags>
            <blockPushingSchema1>true</blockPushingSchema1>
            <suppressPomConsistencyChecks>false</suppressPomConsistencyChecks>
            <propertySets/>
            <archiveBrowsingEnabled>false</archiveBrowsingEnabled>
            <snapshotVersionBehavior>unique</snapshotVersionBehavior>
            <localRepoChecksumPolicyType>client-checksums</localRepoChecksumPolicyType>
            <calculateYumMetadata>false</calculateYumMetadata>
            <yumRootDepth>0</yumRootDepth>
            <debianTrivialLayout>false</debianTrivialLayout>
            <enableFileListsIndexing>false</enableFileListsIndexing>
        </localRepository>
    </localRepositories>
    <remoteRepositories>
        <remoteRepository>
            <key>jcenter</key>
            <type>maven</type>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>maven-2-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <blackedOut>false</blackedOut>
            <handleReleases>true</handleReleases>
            <handleSnapshots>true</handleSnapshots>
            <maxUniqueSnapshots>0</maxUniqueSnapshots>
            <maxUniqueTags>0</maxUniqueTags>
            <blockPushingSchema1>true</blockPushingSchema1>
            <suppressPomConsistencyChecks>false</suppressPomConsistencyChecks>
            <propertySets/>
            <archiveBrowsingEnabled>false</archiveBrowsingEnabled>
            <url>https://jcenter.bintray.com</url>
            <offline>false</offline>
            <hardFail>false</hardFail>
            <storeArtifactsLocally>true</storeArtifactsLocally>
            <fetchJarsEagerly>false</fetchJarsEagerly>
            <fetchSourcesEagerly>false</fetchSourcesEagerly>
            <retrievalCachePeriodSecs>7200</retrievalCachePeriodSecs>
            <assumedOfflinePeriodSecs>300</assumedOfflinePeriodSecs>
            <missedRetrievalCachePeriodSecs>1800</missedRetrievalCachePeriodSecs>
            <remoteRepoChecksumPolicyType>generate-if-absent</remoteRepoChecksumPolicyType>
            <unusedArtifactsCleanupPeriodHours>0</unusedArtifactsCleanupPeriodHours>
            <shareConfiguration>false</shareConfiguration>
            <synchronizeProperties>false</synchronizeProperties>
            <listRemoteFolderItems>true</listRemoteFolderItems>
            <rejectInvalidJars>false</rejectInvalidJars>
            <p2OriginalUrl>https://jcenter.bintray.com</p2OriginalUrl>
            <contentSynchronisation>
                <enabled>false</enabled>
                <statistics>
                    <enabled>false</enabled>
                </statistics>
                <properties>
                    <enabled>false</enabled>
                </properties>
                <source>
                    <originAbsenceDetection>false</originAbsenceDetection>
                </source>
            </contentSynchronisation>
            <blockMismatchingMimeTypes>true</blockMismatchingMimeTypes>
            <mismatchingMimeTypesOverrideList></mismatchingMimeTypesOverrideList>
            <bypassHeadRequests>false</bypassHeadRequests>
            <allowAnyHostAuth>false</allowAnyHostAuth>
            <socketTimeoutMillis>15000</socketTimeoutMillis>
            <enableCookieManagement>false</enableCookieManagement>
            <enableTokenAuthentication>false</enableTokenAuthentication>
            <propagateQueryParams>false</propagateQueryParams>
        </remoteRepository>
    </remoteRepositories>
    <virtualRepositories>
        <virtualRepository>
            <key>libs-release</key>
            <type>maven</type>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>maven-2-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <artifactoryRequestsCanRetrieveRemoteArtifacts>false</artifactoryRequestsCanRetrieveRemoteArtifacts>
            <resolveDockerTagsByTimestamp>false</resolveDockerTagsByTimestamp>
            <repositories>
                <repositoryRef>libs-release-local</repositoryRef>
                <repositoryRef>jcenter</repositoryRef>
            </repositories>
            <pomRepositoryReferencesCleanupPolicy>discard_active_reference</pomRepositoryReferencesCleanupPolicy>
            <defaultDeploymentRepo>libs-release-local</defaultDeploymentRepo>
            <virtualCacheConfig>
                <virtualRetrievalCachePeriodSecs>600</virtualRetrievalCachePeriodSecs>
            </virtualCacheConfig>
            <forceMavenAuthentication>false</forceMavenAuthentication>
            <debianDefaultArchitectures>i386,amd64</debianDefaultArchitectures>
        </virtualRepository>
        <virtualRepository>
            <key>libs-snapshot</key>
            <type>maven</type>
            <includesPattern>**/*</includesPattern>
            <repoLayoutRef>maven-2-default</repoLayoutRef>
            <dockerApiVersion>V2</dockerApiVersion>
            <forceNugetAuthentication>false</forceNugetAuthentication>
            <artifactoryRequestsCanRetrieveRemoteArtifacts>false</artifactoryRequestsCanRetrieveRemoteArtifacts>
            <resolveDockerTagsByTimestamp>false</resolveDockerTagsByTimestamp>
            <repositories>
                <repositoryRef>libs-snapshot-local</repositoryRef>
                <repositoryRef>jcenter</repositoryRef>
            </repositories>
            <pomRepositoryReferencesCleanupPolicy>discard_active_reference</pomRepositoryReferencesCleanupPolicy>
            <defaultDeploymentRepo>libs-snapshot-local</defaultDeploymentRepo>
            <virtualCacheConfig>
                <virtualRetrievalCachePeriodSecs>600</virtualRetrievalCachePeriodSecs>
            </virtualCacheConfig>
            <forceMavenAuthentication>false</forceMavenAuthentication>
            <debianDefaultArchitectures>i386,amd64</debianDefaultArchitectures>
        </virtualRepository>
    </virtualRepositories>
    <distributionRepositories/>
    <releaseBundlesRepositories/>
    <proxies/>
    <reverseProxies/>
    <propertySets/>
    <repoLayouts>
        <repoLayout>
            <name>maven-2-default</name>
            <artifactPathPattern>[orgPath]/[module]/[baseRev](-[folderItegRev])/[module]-[baseRev](-[fileItegRev])(-[classifier]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>true</distinctiveDescriptorPathPattern>
            <descriptorPathPattern>[orgPath]/[module]/[baseRev](-[folderItegRev])/[module]-[baseRev](-[fileItegRev])(-[classifier]).pom</descriptorPathPattern>
            <folderIntegrationRevisionRegExp>SNAPSHOT</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>SNAPSHOT|(?:(?:[0-9]{8}.[0-9]{6})-(?:[0-9]+))</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>ivy-default</name>
            <artifactPathPattern>[org]/[module]/[baseRev](-[folderItegRev])/[type]s/[module](-[classifier])-[baseRev](-[fileItegRev]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>true</distinctiveDescriptorPathPattern>
            <descriptorPathPattern>[org]/[module]/[baseRev](-[folderItegRev])/[type]s/ivy-[baseRev](-[fileItegRev]).xml</descriptorPathPattern>
            <folderIntegrationRevisionRegExp>\d{14}</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>\d{14}</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>gradle-default</name>
            <artifactPathPattern>[org]/[module]/[baseRev](-[folderItegRev])/[module]-[baseRev](-[fileItegRev])(-[classifier]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>true</distinctiveDescriptorPathPattern>
            <descriptorPathPattern>[org]/[module]/ivy-[baseRev](-[fileItegRev]).xml</descriptorPathPattern>
            <folderIntegrationRevisionRegExp>\d{14}</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>\d{14}</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>maven-1-default</name>
            <artifactPathPattern>[org]/[type]s/[module]-[baseRev](-[fileItegRev])(-[classifier]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>true</distinctiveDescriptorPathPattern>
            <descriptorPathPattern>[org]/[type]s/[module]-[baseRev](-[fileItegRev]).pom</descriptorPathPattern>
            <folderIntegrationRevisionRegExp>.+</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.+</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>nuget-default</name>
            <artifactPathPattern>[orgPath]/[module]/[module].[baseRev](-[fileItegRev]).nupkg</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>npm-default</name>
            <artifactPathPattern>[orgPath]/[module]/[module]-[baseRev](-[fileItegRev]).tgz</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>bower-default</name>
            <artifactPathPattern>[orgPath]/[module]/[module]-[baseRev](-[fileItegRev]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>vcs-default</name>
            <artifactPathPattern>[orgPath]/[module]/[refs&lt;tags|branches&gt;]/[baseRev]/[module]-[baseRev](-[fileItegRev])(-[classifier]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>[a-zA-Z0-9]{40}</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>sbt-default</name>
            <artifactPathPattern>[org]/[module]/(scala_[scalaVersion&lt;.+&gt;])/(sbt_[sbtVersion&lt;.+&gt;])/[baseRev]/[type]s/[module](-[classifier]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>true</distinctiveDescriptorPathPattern>
            <descriptorPathPattern>[org]/[module]/(scala_[scalaVersion&lt;.+&gt;])/(sbt_[sbtVersion&lt;.+&gt;])/[baseRev]/[type]s/ivy.xml</descriptorPathPattern>
            <folderIntegrationRevisionRegExp>\d{14}</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>\d{14}</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>simple-default</name>
            <artifactPathPattern>[orgPath]/[module]/[module]-[baseRev].[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>composer-default</name>
            <artifactPathPattern>[orgPath]/[module]/[module]-[baseRev](-[fileItegRev]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>conan-default</name>
            <artifactPathPattern>[org]/[module]/[baseRev]/[channel&lt;[^/]+&gt;]/[folderItegRev]/(package/[package_id&lt;[^/]+&gt;]/[fileItegRev]/)?[remainder&lt;(?:.+)&gt;]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>[^/]+</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>[^/]+</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>puppet-default</name>
            <artifactPathPattern>[orgPath]/[module]/[orgPath]-[module]-[baseRev].tar.gz</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>go-default</name>
            <artifactPathPattern>[orgPath]/[module]/@v/v[refs].zip</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
        <repoLayout>
            <name>build-default</name>
            <artifactPathPattern>[orgPath]/[module](-[fileItegRev]).[ext]</artifactPathPattern>
            <distinctiveDescriptorPathPattern>false</distinctiveDescriptorPathPattern>
            <folderIntegrationRevisionRegExp>.*</folderIntegrationRevisionRegExp>
            <fileIntegrationRevisionRegExp>.*</fileIntegrationRevisionRegExp>
        </repoLayout>
    </repoLayouts>
    <remoteReplications/>
    <localReplications/>
    <gcConfig>
        <cronExp>0 0 /4 * * ?</cronExp>
    </gcConfig>
    <cleanupConfig>
        <cronExp>0 12 5 * * ?</cronExp>
    </cleanupConfig>
    <virtualCacheCleanupConfig>
        <cronExp>0 12 0 * * ?</cronExp>
    </virtualCacheCleanupConfig>
    <folderDownloadConfig>
        <enabled>false</enabled>
        <enabledForAnonymous>false</enabledForAnonymous>
        <maxDownloadSizeMb>1024</maxDownloadSizeMb>
        <maxFiles>5000</maxFiles>
        <maxConcurrentRequests>10</maxConcurrentRequests>
    </folderDownloadConfig>
    <trashcanConfig>
        <enabled>true</enabled>
        <allowPermDeletes>false</allowPermDeletes>
        <retentionPeriodDays>14</retentionPeriodDays>
    </trashcanConfig>
    <replicationsConfig>
        <blockPushReplications>false</blockPushReplications>
        <blockPullReplications>false</blockPullReplications>
    </replicationsConfig>
    <bintrayApplications/>
    <sumoLogicConfig>
        <enabled>false</enabled>
    </sumoLogicConfig>
    <releaseBundlesConfig>
        <incompleteCleanupPeriodHours>720</incompleteCleanupPeriodHours>
    </releaseBundlesConfig>
    <signedUrlConfig>
        <maxValidForSeconds>31536000</maxValidForSeconds>
    </signedUrlConfig>
    <downloadRedirectConfig>
        <fileMinimumSize>1</fileMinimumSize>
    </downloadRedirectConfig>
</config>
